Bug 138770 - [patch] devel/boost-python-libs: don't default to pyste build
[patch] devel/boost-python-libs: don't default to pyste build
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Max Brazhnikov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-12 19:20 UTC by mel
Modified: 2009-11-28 22:05 UTC (History)
1 user (show)

See Also:


Attachments
boost-nopyste.diff (8.79 KB, patch)
2009-09-12 19:20 UTC, mel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mel 2009-09-12 19:20:03 UTC
Long outstanding, discussed on ports@/kde@, +1'd by miwi@.

In short: pyste build brings in unmaintained gccxml software, which pulls in
legacy compiler. All this isn't needed and wasn't the default in previous
boost-python port.

How-To-Repeat: make -C /usr/ports/devel/boost-python-libs install
Comment 1 Edwin Groothuis freebsd_committer 2009-09-12 19:20:12 UTC
Maintainer of devel/boost-python-libs,

Please note that PR ports/138770 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/138770

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-09-12 19:20:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 alexanderchuranov 2009-09-22 15:46:13 UTC
I agree with the change-request.

I've reviewed and tested the attached patch. First, I've compared
default behavior of patched boost-python-libs and verified that it
cleanly removes the Boost.Pyste library. Then I've verified that the
library can be built on demand using makefile variable WITH_PYSTE.

Alexander Churanov,
maintainer of devel/boost-*


2009/9/12 Edwin Groothuis <edwin@freebsd.org>:
> Maintainer of devel/boost-python-libs,
>
> Please note that PR ports/138770 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
> =A0 =A0http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/138770
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 4 Mark Linimon freebsd_committer 2009-09-22 18:05:49 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Max Brazhnikov freebsd_committer 2009-09-25 12:17:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 6 dfilter freebsd_committer 2009-11-28 21:48:18 UTC
makc        2009-11-28 21:48:09 UTC

  FreeBSD ports repository

  Modified files:
    devel/boost-python-libs Makefile pkg-plist 
  Log:
  Disable pyste by default (depends on abandoned gccxml, which
  brings in gcc34 for modern systems).
  Bump PORTREVISION.
  
  PR:             ports/138770
  Submitted by:   Mel Flynn <mel at rachie.is-a-geek.net>
  Approved by:    Alexander Churanov (maintainer)
  
  Revision  Changes    Path
  1.3       +13 -5     ports/devel/boost-python-libs/Makefile
  1.2       +66 -66    ports/devel/boost-python-libs/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Max Brazhnikov freebsd_committer 2009-11-28 22:05:32 UTC
State Changed
From-To: open->closed

Committed. Thanks!